Bug 570398 - Review Request: z-push - ActiveSync protocol (i.e. iPhone push)
Review Request: z-push - ActiveSync protocol (i.e. iPhone push)
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
: 570397 (view as bug list)
Depends On:
Blocks: FE-Legal
  Show dependency treegraph
 
Reported: 2010-03-04 03:07 EST by Jim Radford
Modified: 2010-05-26 20:03 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-05 08:58:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jim Radford 2010-03-04 03:07:36 EST
Spec URL: http://blackbean.org/review/z-push.spec
SRPM URL: http://blackbean.org/review/z-push-1.3-0.RC2.1.fc12.noarch.rpm
Description: Z-push is an implementation of the ActiveSync protocol which is used 'over-the-air' for multi platform ActiveSync devices, including Windows Mobile, iPhone, Sony Ericsson and Nokia mobile devices. With Z-push any groupware can be connected and synced with these devices.
Comment 1 Jim Radford 2010-03-04 03:11:48 EST
Oops, should have been the src.rpm.

Spec URL: http://blackbean.org/review/z-push.spec
SRPM URL: http://blackbean.org/review/z-push-1.3-0.RC2.1.fc12.src.rpm
Comment 2 Chen Lei 2010-03-04 04:58:37 EST
*** Bug 570397 has been marked as a duplicate of this bug. ***
Comment 3 Mamoru TASAKA 2010-03-04 05:10:41 EST
Well, would you take a look at
https://bugzilla.rpmfusion.org/show_bug.cgi?id=585 ?
On https://bugzilla.rpmfusion.org/show_bug.cgi?id=585#c7 spot says
z-push cannot be distributed in US thus is not for Fedora. Was
this issue resolved?
Comment 4 Jim Radford 2010-03-04 17:10:11 EST
Updated to avoid creating an .htaccess file.

Spec URL: http://blackbean.org/review/z-push.spec
SRPM URL: http://blackbean.org/review/z-push-1.3-0.RC2.2.fc12.src.rpm

Though I'm sure they exist, I don't see any mention of specific problems in that discussion.  It would be helpful if spot would *identify* the patent he believes covers the code in z-push.  He says that Zarafa has patent problems in the US.  This is *not* Zarafa, but does have an interface to it.  I'd be happy to remove that interface if it would help the case for this package.
Comment 5 Tom "spot" Callaway 2010-03-05 08:58:23 EST
One major concern here:

1. The license is not acceptable to Fedora, because of how clause 8 of the GPL is invoked. Because it is not possible to distribute it in the US and Red Hat is a US distributor, z-push is not acceptable in Fedora.

From the top of LICENSE

"NOTE: According to sec. 8 of the GNU General Public License (GPL),
Version 2, the distribution of the Program in or to the
United States of America is excluded from the scope of this license.
The Program is licensed under GPL Version 2 only."

However, even if the license was altered to be a normal GPL, this code would still not be acceptable due to the high patent risk surrounding ActiveSync. I apologize for not being able to be more specific, but I have to choose my words carefully when discussing patents.

I'm blocking this FE-Legal and closing as CANTFIX, sorry.

Note You need to log in before you can comment on or make changes to this bug.